image: continuumio/miniconda:latest

variables:
  CONDA_PKGS_DIRS: "${CI_PROJECT_DIR}/conda/pkgs"

cache:
  paths:
    - $CONDA_PKGS_DIRS

before_script:
  - conda create -y --name pureinf python=3.7
  - source activate pureinf
  - conda install -y numpy pytest hypothesis
  - source activate pureinf
  - pip install .

unittest:
  script:
    - pytest --pyargs puresolventinformation
